import { menuVisibility as u } from "./accelbyte-widgets134.mjs";
import { ErrorPath as h } from "./accelbyte-widgets69.mjs";
import { z as g } from "zod";
const w = g.enum(["Pending", "InProgress", "Completed", "Canceled", "Failed", "Expired"]), C = () => {
  const {
    accountOverview: r,
    profile: i,
    changePassword: t,
    linkedAccounts: o,
    purchasedItems: s,
    subscription: n,
    orderHistory: a,
    paymentMethods: c,
    redeemCode: l,
    notification: d,
    privacyRecords: f,
    personalData: p,
    deleteAccount: m
  } = u;
  let e = "/account/";
  if (r())
    e += "overview";
  else if (i())
    e += "profile";
  else if (t())
    e += "change-password";
  else if (o())
    e += "linked-accounts";
  else if (s())
    e += "purchased-items";
  else if (n())
    e += "subscription";
  else if (a())
    e += "order-history";
  else if (c())
    e += "payment-methods";
  else if (l())
    e += "redeem-code";
  else if (d())
    e += "notification-preferences";
  else if (f())
    e += "legal-agreements";
  else if (p())
    e += "personal-data";
  else if (m())
    e += "account-deletion";
  else
    return h.Error404.makePath();
  return e;
};
export {
  w as DataRetrievalStatus,
  C as accountWildCardRedirect
};
